/*
 * API_Device_Init.h
 *
 *  Created on: 2012-3-27
 *      Author: arno.qi
 */

#ifdef        GLOBALS_API_DEV
    #define   EXTERN_API_DEV
    
#else
    #define   EXTERN_API_DEV     extern
#endif

#ifndef API_DEVICE_INIT_H_
#define API_DEVICE_INIT_H_

    
          
    EXTERN_API_DEV     void      Api_Sys_Init(void);
    EXTERN_API_DEV     void      Api_Clk_Init(void);
    EXTERN_API_DEV     void      Api_GPIO_Init(void);
    EXTERN_API_DEV     void      Api_Sys_Off(void);
    EXTERN_API_DEV     void      Api_Sys_ON(void); 
    #pragma CODE_SEG OTHER_ROM
    EXTERN_API_DEV     void      Api_InitParamer(void);
    #pragma CODE_SEG DEFAULT
#endif /* API_DEVICE_INIT_H_ */
